<?php
/**
 * @package	SEOProtection
 * @copyright	Copyright (C) 2017 SiteGuarding.com. All rights reserved.
 * @license	GNU General Public License version 2 or later
 */
defined('_JEXEC') or die('Restricted access');

$jinput = JFactory::getApplication()->input;

if (!class_exists("SEO_SG_Protection_HTML")) require_once(dirname(__FILE__).'/classes/seoprotection.class.php');

$start_scanner = $jinput->get( 'start_scanner', 0 );
if ($start_scanner == 2)
{
	$params = SEO_SG_Protection::Get_Params(array('progress_status'));
	if ( intval($params['progress_status']) == 1 ) exit;	// no need to start again
	
	include_once(dirname(__FILE__).'/classes/simple_html_dom.php');
	SEO_SG_Protection::MakeAnalyze();
	exit;
}

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_seoprotection')) 
{
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

// Add javascript
$document =& JFactory::getDocument();
$document->addStyleSheet('../media/com_seoprotection/css/seoprotection.css');
 
// require helper file
JLoader::register('SEOProtectionHelper', dirname(__FILE__).'/helpers/seoprotection.php');

 
// import joomla controller library
jimport('joomla.application.component.controller');
 
// Get an instance of the controller
$controller = JControllerLegacy::getInstance('SEOProtection');
 
// Perform the Request task
$controller->execute($jinput->get('task'));
 
// Redirect if set by the controller
$controller->redirect();
?>