<?php
/**
 * @package	SEOProtection
 * @copyright	Copyright (C) 2017 SiteGuarding.com. All rights reserved.
 * @license	GNU General Public License version 2 or later
 */
defined('_JEXEC') or die('Restricted access');
 
// import Joomla view library
jimport('joomla.application.component.view');
 

class SEOProtectionViewScanner extends JViewLegacy
{
	function display($tpl = null) 
	{
		// Set the toolbar
		$this->addToolBar();
 
		// Display the template
		parent::display($tpl);
 
		// Set the document
		$this->setDocument();
	}
 

	protected function addToolBar() 
	{
		$canDo = SEOProtectionHelper::getActions();
		JToolBarHelper::title(JText::_('COM_SEOPROTECTION_TITLE_SCANNER'), 'seoprotection');

		if ($canDo->get('core.admin')) 
		{
			JToolBarHelper::divider();
			JToolBarHelper::preferences('com_seoprotection');
		}
	}

	protected function setDocument() 
	{
		$document = JFactory::getDocument();
		$document->setTitle(JText::_('COM_SEOPROTECTION_TITLE_SCANNER'));
	}
}
